precision mediump float;

varying vec2 v_texcoord_0;
varying vec2 v_texcoord_1;
varying vec4 v_color;

uniform sampler2D s_diffuse;
uniform sampler2D s_detail;

uniform float u_float_gloss;

void main()
{
	vec4 color = v_color * texture2D( s_diffuse, v_texcoord_0 ) * texture2D( s_detail, v_texcoord_1 );
	gl_FragColor = color * u_float_gloss;
}
