precision mediump float;

varying vec2 v_texcoord_0;

uniform sampler2D s_diffuse; // sky
uniform sampler2D s_detail; // alpha

uniform float u_float_blendamount; // how much to mix them, if it's zero it doesn't do any mixing

void main()
{
	vec4 detSample =  texture2D(s_detail,v_texcoord_0);
	vec4 difSample =  texture2D(s_diffuse,v_texcoord_0);
	
	gl_FragColor.rgba = mix( difSample, detSample, u_float_blendamount );
}
